package com.huimv.farm.damsubsidy.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.common.utils.ResultCode;
import com.huimv.farm.damsubsidy.entity.BillSubsidyModify;
import com.huimv.farm.damsubsidy.mapper.BillSubsidyModifyMapper;
import com.huimv.farm.damsubsidy.service.IBillSubsidyModifyService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-15
 */
@RestController
@RequestMapping("/bill-subsidy-modify")
@CrossOrigin
public class BillSubsidyModifyController {
    @Resource
    private IBillSubsidyModifyService billSubsidyModifyService;

    @PostMapping("/listById")
    public Result listById(@RequestBody Map<String, String> paramsMap){
        String id = paramsMap.get("id");
        return new Result(ResultCode.SUCCESS,billSubsidyModifyService.list(new QueryWrapper<BillSubsidyModify>().eq("subsidy_id",id).orderByDesc("update_time")));
    }

}
