package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillIsolated;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 落地检 服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface IBillIsolatedService extends IService<BillIsolated> {

    Result addIsolation(HttpServletRequest httpServletRequest, MultipartFile observeImage, String inspectionNum, String isolatedPosition, String strIsolated, String dayIsolated) throws ParseException, IOException;

    Result listIsolation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result delayedIsolation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result cancelIsolation(HttpServletRequest httpServletRequest,MultipartFile isolatedImage1,MultipartFile isolatedImage2,MultipartFile isolatedImage3 ,MultipartFile observeSecureImage, String id, String idDead, String deaths) throws IOException;

}
