package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillLandingInspection;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 * 落地检 服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface IBillLandingInspectionService extends IService<BillLandingInspection> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result addPay(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result cancelApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result rejectApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result agreeApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result getEartagNoBy(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result addApplication(HttpServletRequest httpServletRequest, String inspectionNum, String cargoOwner, String ownerPhone, String animalType, String animalNumberUp, String useTo, String startTran, String reachTran, String veter, String eartags, MultipartFile quarantineImage, MultipartFile image1,MultipartFile image2,MultipartFile image3,MultipartFile image4,MultipartFile image5) throws IOException;

    Result listReadyApplication();
}
