package com.huimv.farm.damsubsidy.common.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.List;
import java.util.Map;


public class AccessTokenUtils {
    private static String APIKEY = "tOWx25FyomcHf51HDQqQUhSq";
 
    private static String SecretKEY = "6MOI0wIGqstuFk3xO6D0nHYaKdvn6DPD";
 
    // 获取Token路径
    private static String PATH = "https://aip.baidubce.com/oauth/2.0/token?";
 
    public static String getAuth() {
        // 获取token地址
        String getAccessTokenUrl = PATH
                // 1. grant_type为固定参数
                + "grant_type=client_credentials"
                // 2. 官网获取的 API Key
                + "&client_id=" + APIKEY
                // 3. 官网获取的 Secret Key
                + "&client_secret=" + SecretKEY;
        try {
            URL realUrl = new URL(getAccessTokenUrl);
            // 打开和URL之间的连接
            HttpURLConnection connection = (HttpURLConnection) realUrl.openConnection();
            connection.setRequestMethod("GET");
            connection.connect();
            // 获取所有响应头字段
            Map<String, List<String>> map = connection.getHeaderFields();
 
            // 定义 BufferedReader输入流来读取URL的响应
            BufferedReader in = new BufferedReader(new InputStreamReader(connection.getInputStream()));
            String result = "";
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }

            JSONObject jsonObject =  JSON.parseObject(result);
            String access_token = jsonObject.getString("access_token");
            return access_token;
        } catch (Exception e) {
            System.err.printf("获取token失败！");
            e.printStackTrace(System.err);
        }
        return null;
    }
}