package com.huimv.farm.damsubsidy.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.farm.damsubsidy.entity.BillBuyInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.damsubsidy.entity.vo.BillBuyInfoVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 交易信息 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface BillBuyInfoMapper extends BaseMapper<BillBuyInfo> {

    BillBuyInfoVo listDetail(@Param("id") String id);

    BillBuyInfoVo getLast(@Param("userName") Long userName);

    Page<BillBuyInfoVo> listTransaction(Page<BillBuyInfoVo> page,@Param("search") String search,@Param("addressCode") String addressCode);
}
